CorebanqCorebanq Developer Docs
Addressesv1

Update address

Handler: UpdateAddress. Body UpdateAddressInput (all fields optional). Returns the updated address (transform.AddressResponse).

PUT
/v1/addresses/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

JWT bearer token (auth.WrapWithMiddlewares)

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Body for PUT /v1/addresses/{id} (models.UpdateAddressInput). All fields optional; metadata is NOT accepted.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/addresses/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "rec_id": "0ba687c4-349e-490d-969f-fd374e232d42",
  "rec_type": "string",
  "type": "registration",
  "street": "string",
  "number": "string",
  "additional": "string",
  "postal_code": "string",
  "city": "string",
  "state": "string",
  "country": "string",
  "is_primary": true,
  "address_hash": "string",
  "active": true,
  "metadata": {},
  "created_at": "2019-08-24T14:15:22Z",
  "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
  "modified_at": "2019-08-24T14:15:22Z",
  "modified_by": "e8d4374d-93a1-4e98-a6c6-fdcf00c5059f"
}
{
  "status": 400,
  "message": "Invalid input"
}
{
  "status": 404,
  "message": "Address not found"
}